ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dmitry Pavlov <dpavlov....@gmail.com>
Subject Re: Switching Java language level to 8
Date Thu, 14 Dec 2017 13:09:20 GMT
+1 Java 8 has a lot of APIs, we sometimes need it to improve our
performance.

чт, 14 дек. 2017 г. в 15:16, Дмитрий Рябов <somefireone@gmail.com>:

> +1
> Agree, I think changes will be less difficult if we go through 7/8 ->
> 8 -> 8/9 than 7/8 -> 7/8/9 ( -> possible 7/8/9/10 huh?) -> 8/9.
>
> 2017-12-14 14:18 GMT+03:00 Anton Vinogradov <av@apache.org>:
> > +1
> > Can we switch to Java8 right now and then support Java9?
> > That's the easiest way I think.
> >
> > On Thu, Dec 14, 2017 at 1:50 PM, Andrey Kuznetsov <stkuzma@gmail.com>
> wrote:
> >
> >> Hi Igniters,
> >>
> >> As far as I know, we planned to get the project compilable/runnable on
> Java
> >> 9 and then switch to Java 8 language features. But some tickets like [1]
> >> require Java 8 to be fixed. It seems we are to switch source level of
> the
> >> project to 1.8 first.
> >>
> >> Thoughts?
> >>
> >> [1] https://issues.apache.org/jira/browse/IGNITE-6734
> >>
> >> --
> >> Best regards,
> >>   Andrey Kuznetsov.
> >>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message